---
title: 'config'
description: 'Here you can overwrite global defined model configuration'
---

## Usage

````js
class User extends Model {
  static entity = 'users'
  
  // activate meta data to be saved with this model
  static config = {
      withMeta: true
  }

  static fields () {
    return {
      id: this.uid()
    }
  }
}
````

## Typescript Declarations
````ts
export interface ModelConfigOptions {
  withMeta?: boolean
  hidden?: string[]
  visible?: string[]
}

const config: ModelConfigOptions = undefined
````
